DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MsrDescriptionFunction

Measurement feature description function

WARNING: this documentation page is outdated!

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_MsrDescriptionFunction) ( measurement, featureID, physDims, decription, resources )

## FUNCTION

The `description` function obtains a dip_FeatureDescription structure containing descriptive of the measurement function, such as its name, a shirt description, labels for each value measured, and units of its measurement.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_FeatureDescription *` | `description` | pointer to a dip_FeatureDescription structure containing descriptive information of the measurement feature function. This data can be accessed with `MsrDescriptionFunction`
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

dip_MsrRegistry structure `MeasurementFeatureRegister`, `MsrCreateFunction`, `MsrValueFunction`, `MsrMeasureFunction`, `MsrConvertFunction`

DIPlib on-line documentation | Function reference | Global function index